Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159710 - Installer doesn't recognize Fusion/LSI MPT scsi controller and disks
Summary: Installer doesn't recognize Fusion/LSI MPT scsi controller and disks
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-07 11:27 UTC by Thomas Bub
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 11:37:24 UTC


Attachments (Terms of Use)
Requested lspci from an RH EL 3.0 installation (deleted)
2005-06-08 06:59 UTC, Thomas Bub
no flags Details

Description Thomas Bub 2005-06-07 11:27:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
In contrast to RH EL 3.0 the RH EL 4.0 doesn't recognize the Fusion/LSI Logic MPT scsi controller and disks on my HP xw9300 workstation.
Selecting the drivers manually doesn't help either.
Therefore I can't install RH EL4.0 on that machine.
As said before RH EL 3.0 just works fine as well as Suse 9.3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert RH EL 4.0 CDROM and boot from it
2.The anaconda installer tells about an nVidia SATA controller but doesn't find the onboard Fusion/LSI Logic. 
3.A manual selection of the LSI Logic controller doesn't get the scsi shown!
4.Installation fails.
  

Additional info:

Comment 1 Jeremy Katz 2005-06-07 20:01:52 UTC
This sounds like the driver not supporting the controller you have. 

Can you provide lspci -vn?

Comment 2 Thomas Bub 2005-06-08 06:59:44 UTC
Created attachment 115206 [details]
Requested lspci from an RH EL 3.0 installation

Find the requested lspci from a successfull RH EL 3.0 installation on the same
machine.
The devices of interest are number 61:06.0 and 61:06.1.

Comment 3 Thomas Bub 2005-06-20 11:37:24 UTC
Got a typ from HP.
They send my acustomer advisory WO050217_CW01 revision 1.
The solution is to start the installation with "linux acpi=off" on teh Red Hat
Enterprise Linux install boot prompt.


Note You need to log in before you can comment on or make changes to this bug.